Option Strict Off
Option Explicit On

Imports fatd_faturamento.BLL.Repositorio
Imports fatd_faturamento.ENTIDADE

Friend Class frmControleCobrancaJudicial
    Inherits System.Windows.Forms.Form
    Private vUnidId As Integer
    Private vConsId As Integer
    Private vGrupo As String
    Private vId As Double

#Region "Propriedades"

    Private Sub frmControleCobrancaJudicial_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load

        Try

            lLocalizaFaturas()

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try


    End Sub

    Private Sub cmdFechar_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdFechar.Click

        Try

            lClose()

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub frmControleCobrancaJudicial_FormClosed(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed

        Try
            If Not vfrmOld Is Nothing Then
                vfrmOld.Enabled = True
            End If
        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub frmControleCobrancaJudicial_KeyPress(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.KeyPressEventArgs) Handles MyBase.KeyPress

        Dim KeyAscii As Short = Asc(eventArgs.KeyChar)

        Try

            If KeyAscii = System.Windows.Forms.Keys.Escape Then
                Call cmdFechar_Click(cmdFechar, New System.EventArgs())
            ElseIf KeyAscii = System.Windows.Forms.Keys.Return Then
                TabEnter(KeyAscii, eventArgs)
            End If

            eventArgs.KeyChar = Chr(KeyAscii)

            If KeyAscii = 0 Then
                eventArgs.Handled = True
            End If


        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try


    End Sub


#End Region

#Region "Métodos"

    Private Sub lLocalizaFaturas()

        Dim dt As DataTable

        'Dim objNf As New entidadeNf
        'Dim repositorioNf As New repositorioNf
        Dim objAtualizaBancoDados As New entidadeAtualizaBancoDados
        Dim RepositorioAtualizaBancoDados As New repositorioAtualizaBancoDados

        Dim lstrsql As String

        Try

            'objNf.FLGST = " '','J'"
            'objNf.ZONA = Me.txtZona.Text
            'objNf.LIVRO = Me.txtLivro.Text
            'objNf.CONTA = Me.txtConta.Text
            'objNf.UNID_ID = vUnidId
            'objNf.CONS_ID = vConsId
            'objNf.MESANO_REF = "202108"

            'dt = repositorioNf.Select_3(objNf)
            'dt = repositorioNf.Select_1(objNf)

            lstrsql = ""
            lstrsql = "Select NUMNF, CODCLAS, MESANO,MESANO_REF, DATAVENC, DATADIVIDA, DATALEIT, DATAAPR, DATAEM, DATALEITANT, DATAPAG, CODHASH, "
            lstrsql = lstrsql & " DATAST, FLGST, VALORTOT, ZONA, LIVRO, CONTA, ROTA, CONS_ID, UNID_ID, DATAPROXLEIT, BANARREC, BANIDENT,FLGMEDFAT,TIPOUC, "
            lstrsql = lstrsql & " CFOP, ITENSSERV, TA, GRUPO, FASE, TENSAO, NUM_MED, CONST_MED, MOTIVOCANC, BANCO_FATUR, SOCIAL, MULTA, DATAPRAZO, DIAS, VALORLIQ, NSU, CODBARRA, "
            lstrsql = lstrsql & " DVCODBARRA, AGRUPA, AGRUPA_ROTA, ITENSIMP, SGDENVIO, MOTIVOPGTO, MOTIVOSEGVIA, USUARIOSEGVIA, DATASEGVIA, CPF_CNPJ, PARCIALMENTE_CATIVO, LIVREESPECIAL, PERIODO_TESTE, MENSAGEM_BANDEIRA, MICRO_GERACAO, IRRIGACAO_AQUICULTURA, AGRUPA_CADERNO, AGRUPA_SEQUENCIA, CADERNO, CADERNO_SEQUENCIA, ROTA_QUATRO, AGENCIA, CONTA_CORRENTE, LIVRE_VERDE, "
            lstrsql = lstrsql & " CANCELADA_MESANO, CANCELADA_NUMNF, ENVIO_BCO, FATURA_FINAL, PAG_GOV, MICRO_GERACAO_DISTRIBUIDA, USINA, SUPRIMENTO, BAIXA_NFV, SITE_ENVIO, TARIFA_BRANCA, MICRO_GERACAO_CONVENIO_SEFAZ, REGIAO, FATURA_COMPLEMENTAR"
            lstrsql = lstrsql & " FROM NF "
            lstrsql = lstrsql & " WHERE 1 = 1"
            lstrsql = lstrsql & " AND FLGST In ('','J') "
            lstrsql = lstrsql & " AND CONS_ID = " & vConsId
            lstrsql = lstrsql & " AND UNID_ID = " & vUnidId
            lstrsql = lstrsql & " AND ZONA = '" & txtZona.Text & "'"
            lstrsql = lstrsql & " AND LIVRO = '" & txtLivro.Text & "'"
            lstrsql = lstrsql & " AND CONTA = '" & txtConta.Text & "'"

            objAtualizaBancoDados.QUERY_NAME = lstrsql
            dt = RepositorioAtualizaBancoDados.Consultar(objAtualizaBancoDados)

            lvwCobrancaJudicial.BeginUpdate()

            If lvwCobrancaJudicial.Columns.Count <> dt.Columns.Count Then
                lvwCobrancaJudicial.Columns.Clear()

                For Each column As DataColumn In dt.Columns
                    lvwCobrancaJudicial.Columns.Add(column.ColumnName)
                Next
            End If

            lvwCobrancaJudicial.Items.Clear()

            If dt.Rows.Count > 0 Then
                For Each row As DataRow In dt.Rows

                    Dim item As ListViewItem = New ListViewItem(row(0).ToString())

                    For i As Integer = 1 To dt.Columns.Count - 1
                        item.SubItems.Add(row(i).ToString())
                    Next

                    lvwCobrancaJudicial.Items.Add(item)

                Next
            End If
            lvwCobrancaJudicial.AutoResizeColumns(ColumnHeaderAutoResizeStyle.ColumnContent)
            lvwCobrancaJudicial.AutoResizeColumns(ColumnHeaderAutoResizeStyle.HeaderSize)
            lvwCobrancaJudicial.EndUpdate()

        Catch ex As Exception
            MsgBox(Err.Description)
            Exit Sub
        End Try

    End Sub

    Private Sub lClose()

        Try

            Close()

        Catch ex As Exception
            Exit Sub
        End Try

    End Sub

    Public Sub SetaParametros(ByRef frmOld As System.Windows.Forms.Form, ByVal astrZona As String, ByVal astrLivro As String, ByVal astrConta As String, ByVal alngUnidId As Integer, ByVal alngConsId As Object, ByVal astrGrupo As String, ByVal astrGrTar As String, ByVal astrNome As String)


        Try

            If Not frmOld Is Nothing Then

                vfrmOld = frmOld
                vfrmOld.Enabled = False

                Me.txtZona.Text = astrZona
                Me.txtLivro.Text = astrLivro
                Me.txtConta.Text = astrConta
                Me.txtTa.Text = Mid(astrGrTar, 3, 2)
                Me.txtNome.Text = astrNome

                vUnidId = alngUnidId
                vConsId = alngConsId

            End If


        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub


#End Region


End Class